Skip to main content
PATCH
/
v2
/
idps
/
{idp-id}
/v2/idps/{idp-id}
curl --request PATCH \
  --url https://api.example.com/v2/idps/{idp-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identityProviderConfig": {
    "identityProviderId": "<string>",
    "issuer": "<string>",
    "jwksUrl": "<string>",
    "isDeactivated": true,
    "audience": "<string>"
  },
  "updateMask": {
    "unknownFields": {
      "fields": {}
    },
    "paths": [
      "<string>"
    ]
  }
}
'
{
  "identityProviderConfig": {
    "identityProviderId": "<string>",
    "issuer": "<string>",
    "jwksUrl": "<string>",
    "isDeactivated": true,
    "audience": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Path Parameters

idp-id
string
required

Body

application/json
identityProviderConfig
IdentityProviderConfig · object
required

The identity provider config to update. Modifiable

Required

updateMask
FieldMask · object
required

An update mask specifies how and which properties of the IdentityProviderConfig message are to be updated. An update mask consists of a set of update paths. A valid update path points to a field or a subfield relative to the IdentityProviderConfig message. A valid update mask must:

  1. contain at least one update path,
  2. contain only valid update paths.

Fields that can be updated are marked as Modifiable. For additional information see the documentation for standard protobuf3's google.protobuf.FieldMask.

Required

Response

identityProviderConfig
IdentityProviderConfig · object
required

Updated identity provider config

Required